#!/usr/bin/python2.2

from matrix import *

class translator:
	def __init__(self):
		self.scale = 0.01
		self.invert_increment = 0
		self.parent_rotation = 0
		t = [0, 0, 0]

	def pan(self, dx, dy):
		self.update(dx, dy, 0)

	def dolly(dz):
		self.update(0, 0, dz)

	def update(dx, dy, dz):
		vec = [dx, dy, dz]
		
		if self.parent_rotation:
			self.parent_rotation.mult_vec(vec)

		if self.invert_increment:
			self.t = [self.t[i] - vec[i] * self.scale for i in range(3)]
		else
			self.t = [self.t[i] + vec[i] * self.scale for i in range(3)]

	def get_transform(self):
		m = matrix4f()
		m.set_translate(t)
		return m

	def get_inverse_transform(self):
		m = matrix4f()
		m.set_translate([t[i] * -1 for i in range(3)])
		return m


class trackball:
	def __init__(self):
		
